# Class TimeJELFunction.TimeQuantity

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.TimeJELFunction.TimeQuantity

Enclosing class:
  `TimeJELFunction`

public static class TimeJELFunction.TimeQuantity extends Object
Defines a quantity representing time that can be used in expressions supplied to this class.

Since:
  15 Dec 2022
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`double`
`fromUnixSeconds(double unixSec)`
Maps a time in unix seconds to the value represented by this quantity.
`String`
`getDescription()`
Returns a short plain-text description of this quantity.
`String`
`getName()`
Returns this quantity's name.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()
Returns this quantity's name.

Returns:
  variable name

### getDescription

public String getDescription()
Returns a short plain-text description of this quantity.

Returns:
  description

### fromUnixSeconds

public double fromUnixSeconds(double unixSec)
Maps a time in unix seconds to the value represented by this quantity.

Parameters:
  `unixSec` - seconds since unix epoch
Returns:
  time value in this quantity